ACParserInternal::Printing Struct Reference

Internal: class used to store the printing preferences in ACParser. More...

## Public Member Functions

| Printing ()
| constructor More...
bool | isEmpty () const
| returns true if the header is empty More...
bool | operator== (Printing const &print) const
| operator== More...
bool | operator!= (Printing const &print) const
| operator=! More...

## Public Attributes

MWAWFont | m_font
| the font More...
int | m_flags [2]
| the flags More...

## Friends

std::ostream & | operator<< (std::ostream &o, Printing const &print)
| operator<< More...

## Detailed Description

Internal: class used to store the printing preferences in ACParser.

## Constructor & Destructor Documentation

ACParserInternal::Printing::Printing | ( |  | ) |

inline

constructor

## Member Function Documentation

bool ACParserInternal::Printing::isEmpty | ( |  | ) | const

inline

returns true if the header is empty

bool ACParserInternal::Printing::operator!= | ( | Printing const & | print | ) | const

inline

operator=!

bool ACParserInternal::Printing::operator== | ( | Printing const & | print | ) | const

inline

operator==

Referenced by operator!=().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Printing const & | print
| ) |  |

friend

operator<<

## Member Data Documentation

int ACParserInternal::Printing::m_flags[2]

the flags

Referenced by isEmpty(), operator==(), Printing(), ACParser::readHFProperties(), and ACParser::sendHeaderFooter().

MWAWFont ACParserInternal::Printing::m_font

the font

Referenced by operator==(), ACParser::readHFProperties(), and ACParser::sendHeaderFooter().

The documentation for this struct was generated from the following file:

- ACParser.cxx